org.springframework.batch.core.step

## Class NoWorkFoundStepExecutionListener

- java.lang.Object
- - org.springframework.batch.core.listener.StepExecutionListenerSupport
  - - org.springframework.batch.core.step.NoWorkFoundStepExecutionListener

- All Implemented Interfaces:
    StepExecutionListener, StepListener

      public class NoWorkFoundStepExecutionListener
      extends StepExecutionListenerSupport

  Fails the step if no items have been processed ( item count is 0).
  Author:
    Robert Kasanicky

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoWorkFoundStepExecutionListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExitStatus` | `afterStep(StepExecution stepExecution)` Give a listener a chance to modify the exit status from a step.

    - ### Methods inherited from class org.springframework.batch.core.listener.StepExecutionListenerSupport

      `beforeStep`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoWorkFoundStepExecutionListener

          public NoWorkFoundStepExecutionListener()

  - ### Method Detail

    - #### afterStep

          @Nullable
          public ExitStatus afterStep(StepExecution stepExecution)

      Description copied from interface: `StepExecutionListener`
      Give a listener a chance to modify the exit status from a step. The value returned will be combined with the normal exit status using `ExitStatus.and(ExitStatus)`. Called after execution of step's processing logic (both successful or failed). Throwing exception in this method has no effect, it will only be logged.
      Specified by:
        `afterStep` in interface `StepExecutionListener`
      Overrides:
        `afterStep` in class `StepExecutionListenerSupport`
      Parameters:
        `stepExecution` - `StepExecution` instance.
      Returns:
        an `ExitStatus` to combine with the normal value. Return `null` to leave the old value unchanged.